%global momorel 3
%define _use_internal_dependency_generator 0

Name: perl-Parse-RecDescent
Version: 1.94
Release: %{momorel}m
Summary: Parse-RecDescent Perl module
License: GPL or Artistic
Group: Development/Libraries
URL: http://www.cpan.org/modules/by-module/Parse/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.005.03
Source0: http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-%{version}.tar.gz
NoSource: 0
BuildArch: noarch

%description
Parse::RecDescent incrementally generates top-down recursive-descent
text parsers from simple yacc-like grammar specifications. It
provides: 
    * Regular expressions or literal strings as terminals (tokens),
    * Multiple (non-contiguous) productions for any rule,
    * Repeated and optional subrules within productions,
    * Full access to Perl within actions specified as part of the
      grammar,
    * Simple automated error reporting during parser generation and
      parsing,
    * The ability to commit to, uncommit to, or reject particular
      productions during a parse,
    * The ability to pass data up and down the parse tree ("down" via
      subrule argument lists, "up" via subrule return values)
    * Incremental extension of the parsing grammar (even during a
      parse),
    * Precompilation of parser objects,

User-definable reduce-reduce conflict resolution via "scoring" of
matching productions.

%prep
%setup -q -n Parse-RecDescent-%{version} 

%build
#CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=%{buildroot}/usr INSTALLDIRS=vendor
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=%{buildroot}/usr
make
make test

%clean
rm -rf %{buildroot}
%install

rm -rf %{buildroot}
eval `perl '-V:installarchlib'`
mkdir -p %{buildroot}/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find %{buildroot} \( -name perllocal.pod -o -name .packlist \) -exec rm -fv {} \;
find %{buildroot} \( -name "*Balanced*" \) -exec rm -fv '{}' \;

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" > Parse-RecDescent-%{version}-filelist
if [ "$(cat Parse-RecDescent-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Parse-RecDescent-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.94-3m)
- remove Epoch from BuildPrereq

* Sun Jan 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.94-1m)

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.80-2m)
- modify install dir

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.80-1m)
- import from fedora

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Sat Jul 20 2002 Chip Turner <cturner@localhost.localdomain>
- remove Text::Balanced modules since they are now in core perl

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated

